Bug 18878 - Improve item form display / labels too far from input fields
Summary: Improve item form display / labels too far from input fields
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Grace
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-06-29 07:52 UTC by Katrin Fischer
Modified: 2018-01-23 04:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
item form before suggested change (26.14 KB, image/png)
2017-06-29 07:52 UTC, Katrin Fischer
Details
item form after suggested change (30.30 KB, image/png)
2017-06-29 07:54 UTC, Katrin Fischer
Details
Bug 18878: Align labels in item form to the right (1.28 KB, patch)
2018-01-16 02:30 UTC, Grace
Details | Diff | Splinter Review
Bug 18878: Align labels in item form to the right (1.34 KB, patch)
2018-01-16 09:13 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18878: Align labels in item form to the right (1.39 KB, patch)
2018-01-16 15:06 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-06-29 07:52:34 UTC
Created attachment 64716 [details]
item form before suggested change

At the moment the labels in the item form can end up being far apart from the input fields, especially on larger screens. A library suggested to make this work like the z39.50 search form where the labels are aligend right instead of left, which makes them close to the input fields (see attached screenshots).

Just moving them closer might make cause problems, as for example the German translations are much longer than the English ones and so the 'right distance' varies by language.
Comment 1 Katrin Fischer 2017-06-29 07:54:22 UTC
Created attachment 64717 [details]
item form after suggested change

In IntranetUserCss:

#cataloguing_additem_newitem fieldset.rows label, #cataloguing_additem_newitem fieldset.rows span.label {
    text-align: right;
}
Comment 2 Grace 2018-01-16 02:30:03 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2018-01-16 09:13:00 UTC
Created attachment 70547 [details] [review]
Bug 18878: Align labels in item form to the right

Test Plan
[1.] Search for an item and click on it
[2.] Press the edit button to edit an item
[3.] Notice that the labels are aligned to the left and very far away
from the boxes
[4.] Load the patch and now notice that the labels are closer to the
boxes and are easier to read

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Nick Clemens 2018-01-16 15:06:28 UTC
Created attachment 70556 [details] [review]
Bug 18878: Align labels in item form to the right

Test Plan
[1.] Search for an item and click on it
[2.] Press the edit button to edit an item
[3.] Notice that the labels are aligned to the left and very far away
from the boxes
[4.] Load the patch and now notice that the labels are closer to the
boxes and are easier to read

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2018-01-19 18:55:52 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-01-23 04:17:13 UTC
Awesome work all!

Enhancement, not backported for 17.11.